diff --git a/Countries/Regions/ISO3166-2-SubdivisionCodes-RU.rdf b/Countries/Regions/ISO3166-2-SubdivisionCodes-RU.rdf
index 0d5bf9d..09be6f3 100644
--- a/Countries/Regions/ISO3166-2-SubdivisionCodes-RU.rdf
+++ b/Countries/Regions/ISO3166-2-SubdivisionCodes-RU.rdf
@@ -1465,28 +1465,28 @@
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
-    // Chukotskiy avtonomnyy okrug
+    // Ul'janovskaja oblast'
     //
     ///////////////////////////////////////////////////////////////////////////////////////
     -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ru;ChukotskiyAvtonomnyyOkrug">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ru;UljanovskajaOblast">
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>Chukotskiy avtonomnyy okrug</rdfs:label>
-      <skos:definition>The autonomous district of Chukotskiy avtonomnyy okrug in the country of Russian Federation (the)</skos:definition>
+      <rdfs:label>Ul'janovskaja oblast'</rdfs:label>
+      <skos:definition>The administrative region of Ul'janovskaja oblast' in the country of Russian Federation (the)</skos:definition>
       <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-1;RussianFederation"/>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ru">Chukotskiy avtonomnyy okrug</lcc-cr:hasLocalShortName>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ru">Čukotskij avtonomnyj okrug</lcc-cr:hasLocalShortName>
-      <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-ru;AutonomousDistrict"/>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ru">Ul'janovskaja oblast'</lcc-cr:hasLocalShortName>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ru">Ul'yanovskaya oblast'</lcc-cr:hasLocalShortName>
+      <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-ru;AdministrativeRegion"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ru;"/>
    </owl:NamedIndividual>
 
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ru;RU-CHU">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ru;RU-ULY">
       <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the autonomous district of Chukotskiy avtonomnyy okrug in the country of Russian Federation (the)</skos:definition>
-      <rdfs:label>RU-CHU</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">RU-CHU</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ru;ChukotskiyAvtonomnyyOkrug"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ru;ChukotskiyAvtonomnyyOkrug"/>
+      <skos:definition>subdivision code for the administrative region of Ul'janovskaja oblast' in the country of Russian Federation (the)</skos:definition>
+      <rdfs:label>RU-ULY</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">RU-ULY</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ru;UljanovskajaOblast"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ru;UljanovskajaOblast"/>
       <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ru;"/>
    </owl:NamedIndividual>
@@ -1496,28 +1496,28 @@
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
-    // Stavropol'skiy kray
+    // Vladimirskaya oblast'
     //
     ///////////////////////////////////////////////////////////////////////////////////////
     -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ru;StavropolskiyKray">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ru;VladimirskayaOblast">
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>Stavropol'skiy kray</rdfs:label>
-      <skos:definition>The administrative territory of Stavropol'skiy kray in the country of Russian Federation (the)</skos:definition>
+      <rdfs:label>Vladimirskaya oblast'</rdfs:label>
+      <skos:definition>The administrative region of Vladimirskaya oblast' in the country of Russian Federation (the)</skos:definition>
       <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-1;RussianFederation"/>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ru">Stavropol'skiy kray</lcc-cr:hasLocalShortName>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ru">Stavropol'skij kraj</lcc-cr:hasLocalShortName>
-      <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-ru;AdministrativeTerritory"/>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ru">Vladimirskaya oblast'</lcc-cr:hasLocalShortName>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ru">Vladimirskaja oblast'</lcc-cr:hasLocalShortName>
+      <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-ru;AdministrativeRegion"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ru;"/>
    </owl:NamedIndividual>
 
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ru;RU-STA">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ru;RU-VLA">
       <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the administrative territory of Stavropol'skiy kray in the country of Russian Federation (the)</skos:definition>
-      <rdfs:label>RU-STA</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">RU-STA</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ru;StavropolskiyKray"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ru;StavropolskiyKray"/>
+      <skos:definition>subdivision code for the administrative region of Vladimirskaya oblast' in the country of Russian Federation (the)</skos:definition>
+      <rdfs:label>RU-VLA</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">RU-VLA</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ru;VladimirskayaOblast"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ru;VladimirskayaOblast"/>
       <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ru;"/>
    </owl:NamedIndividual>
@@ -1527,28 +1527,28 @@
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
-    // Jamalo-Neneckij avtonomnyj okrug
+    // Voronežskaja oblast'
     //
     ///////////////////////////////////////////////////////////////////////////////////////
     -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ru;Jamalo-NeneckijAvtonomnyjOkrug">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ru;VoronezskajaOblast">
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>Jamalo-Neneckij avtonomnyj okrug</rdfs:label>
-      <skos:definition>The autonomous district of Jamalo-Neneckij avtonomnyj okrug in the country of Russian Federation (the)</skos:definition>
+      <rdfs:label>Voronežskaja oblast'</rdfs:label>
+      <skos:definition>The administrative region of Voronežskaja oblast' in the country of Russian Federation (the)</skos:definition>
       <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-1;RussianFederation"/>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ru">Jamalo-Neneckij avtonomnyj okrug</lcc-cr:hasLocalShortName>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ru">Yamalo-Nenetskiy avtonomnyy okrug</lcc-cr:hasLocalShortName>
-      <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-ru;AutonomousDistrict"/>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ru">Voronežskaja oblast'</lcc-cr:hasLocalShortName>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ru">Voronezhskaya oblast'</lcc-cr:hasLocalShortName>
+      <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-ru;AdministrativeRegion"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ru;"/>
    </owl:NamedIndividual>
 
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ru;RU-YAN">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ru;RU-VOR">
       <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the autonomous district of Jamalo-Neneckij avtonomnyj okrug in the country of Russian Federation (the)</skos:definition>
-      <rdfs:label>RU-YAN</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">RU-YAN</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ru;Jamalo-NeneckijAvtonomnyjOkrug"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ru;Jamalo-NeneckijAvtonomnyjOkrug"/>
+      <skos:definition>subdivision code for the administrative region of Voronežskaja oblast' in the country of Russian Federation (the)</skos:definition>
+      <rdfs:label>RU-VOR</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">RU-VOR</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ru;VoronezskajaOblast"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ru;VoronezskajaOblast"/>
       <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ru;"/>
    </owl:NamedIndividual>
@@ -1558,28 +1558,28 @@
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
-    // Yevreyskaya avtonomnaya oblast'
+    // Bryanskaya oblast'
     //
     ///////////////////////////////////////////////////////////////////////////////////////
     -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ru;YevreyskayaAvtonomnayaOblast">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ru;BryanskayaOblast">
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>Yevreyskaya avtonomnaya oblast'</rdfs:label>
-      <skos:definition>The autonomous region of Yevreyskaya avtonomnaya oblast' in the country of Russian Federation (the)</skos:definition>
+      <rdfs:label>Bryanskaya oblast'</rdfs:label>
+      <skos:definition>The administrative region of Bryanskaya oblast' in the country of Russian Federation (the)</skos:definition>
       <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-1;RussianFederation"/>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ru">Yevreyskaya avtonomnaya oblast'</lcc-cr:hasLocalShortName>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ru">Evrejskaja avtonomnaja oblast'</lcc-cr:hasLocalShortName>
-      <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-ru;AutonomousRegion"/>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ru">Bryanskaya oblast'</lcc-cr:hasLocalShortName>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ru">Brjanskaja oblast'</lcc-cr:hasLocalShortName>
+      <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-ru;AdministrativeRegion"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ru;"/>
    </owl:NamedIndividual>
 
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ru;RU-YEV">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ru;RU-BRY">
       <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the autonomous region of Yevreyskaya avtonomnaya oblast' in the country of Russian Federation (the)</skos:definition>
-      <rdfs:label>RU-YEV</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">RU-YEV</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ru;YevreyskayaAvtonomnayaOblast"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ru;YevreyskayaAvtonomnayaOblast"/>
+      <skos:definition>subdivision code for the administrative region of Bryanskaya oblast' in the country of Russian Federation (the)</skos:definition>
+      <rdfs:label>RU-BRY</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">RU-BRY</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ru;BryanskayaOblast"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ru;BryanskayaOblast"/>
       <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ru;"/>
    </owl:NamedIndividual>
@@ -1589,28 +1589,28 @@
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
-    // Belgorodskaya oblast'
+    // Čeljabinskaja oblast'
     //
     ///////////////////////////////////////////////////////////////////////////////////////
     -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ru;BelgorodskayaOblast">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ru;CeljabinskajaOblast">
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>Belgorodskaya oblast'</rdfs:label>
-      <skos:definition>The administrative region of Belgorodskaya oblast' in the country of Russian Federation (the)</skos:definition>
+      <rdfs:label>Čeljabinskaja oblast'</rdfs:label>
+      <skos:definition>The administrative region of Čeljabinskaja oblast' in the country of Russian Federation (the)</skos:definition>
       <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-1;RussianFederation"/>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ru">Belgorodskaya oblast'</lcc-cr:hasLocalShortName>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ru">Belgorodskaja oblast'</lcc-cr:hasLocalShortName>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ru">Čeljabinskaja oblast'</lcc-cr:hasLocalShortName>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ru">Chelyabinskaya oblast'</lcc-cr:hasLocalShortName>
       <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-ru;AdministrativeRegion"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ru;"/>
    </owl:NamedIndividual>
 
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ru;RU-BEL">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ru;RU-CHE">
       <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the administrative region of Belgorodskaya oblast' in the country of Russian Federation (the)</skos:definition>
-      <rdfs:label>RU-BEL</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">RU-BEL</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ru;BelgorodskayaOblast"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ru;BelgorodskayaOblast"/>
+      <skos:definition>subdivision code for the administrative region of Čeljabinskaja oblast' in the country of Russian Federation (the)</skos:definition>
+      <rdfs:label>RU-CHE</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">RU-CHE</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ru;CeljabinskajaOblast"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ru;CeljabinskajaOblast"/>
       <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ru;"/>
    </owl:NamedIndividual>
@@ -1620,28 +1620,28 @@
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
-    // Ingušetija, Respublika
+    // Kurganskaja oblast'
     //
     ///////////////////////////////////////////////////////////////////////////////////////
     -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ru;Ingusetija">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ru;KurganskajaOblast">
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>Ingušetija, Respublika</rdfs:label>
-      <skos:definition>The republic of Ingušetija, Respublika in the country of Russian Federation (the)</skos:definition>
+      <rdfs:label>Kurganskaja oblast'</rdfs:label>
+      <skos:definition>The administrative region of Kurganskaja oblast' in the country of Russian Federation (the)</skos:definition>
       <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-1;RussianFederation"/>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ru">Ingušetija, Respublika</lcc-cr:hasLocalShortName>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ru">Ingushetiya, Respublika</lcc-cr:hasLocalShortName>
-      <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-ru;Republic"/>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ru">Kurganskaja oblast'</lcc-cr:hasLocalShortName>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ru">Kurganskaya oblast'</lcc-cr:hasLocalShortName>
+      <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-ru;AdministrativeRegion"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ru;"/>
    </owl:NamedIndividual>
 
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ru;RU-IN">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ru;RU-KGN">
       <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the republic of Ingušetija, Respublika in the country of Russian Federation (the)</skos:definition>
-      <rdfs:label>RU-IN</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">RU-IN</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ru;Ingusetija"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ru;Ingusetija"/>
+      <skos:definition>subdivision code for the administrative region of Kurganskaja oblast' in the country of Russian Federation (the)</skos:definition>
+      <rdfs:label>RU-KGN</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">RU-KGN</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ru;KurganskajaOblast"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ru;KurganskajaOblast"/>
       <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ru;"/>
    </owl:NamedIndividual>
@@ -1651,28 +1651,28 @@
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
-    // Kareliya, Respublika
+    // Kirovskaja oblast'
     //
     ///////////////////////////////////////////////////////////////////////////////////////
     -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ru;Kareliya">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ru;KirovskajaOblast">
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>Kareliya, Respublika</rdfs:label>
-      <skos:definition>The republic of Kareliya, Respublika in the country of Russian Federation (the)</skos:definition>
+      <rdfs:label>Kirovskaja oblast'</rdfs:label>
+      <skos:definition>The administrative region of Kirovskaja oblast' in the country of Russian Federation (the)</skos:definition>
       <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-1;RussianFederation"/>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ru">Kareliya, Respublika</lcc-cr:hasLocalShortName>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ru">Karelija, Respublika</lcc-cr:hasLocalShortName>
-      <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-ru;Republic"/>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ru">Kirovskaja oblast'</lcc-cr:hasLocalShortName>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ru">Kirovskaya oblast'</lcc-cr:hasLocalShortName>
+      <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-ru;AdministrativeRegion"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ru;"/>
    </owl:NamedIndividual>
 
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ru;RU-KR">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ru;RU-KIR">
       <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the republic of Kareliya, Respublika in the country of Russian Federation (the)</skos:definition>
-      <rdfs:label>RU-KR</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">RU-KR</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ru;Kareliya"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ru;Kareliya"/>
+      <skos:definition>subdivision code for the administrative region of Kirovskaja oblast' in the country of Russian Federation (the)</skos:definition>
+      <rdfs:label>RU-KIR</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">RU-KIR</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ru;KirovskajaOblast"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ru;KirovskajaOblast"/>
       <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ru;"/>
    </owl:NamedIndividual>
@@ -1682,28 +1682,28 @@
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
-    // Kurskaja oblast'
+    // Moskovskaya oblast'
     //
     ///////////////////////////////////////////////////////////////////////////////////////
     -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ru;KurskajaOblast">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ru;MoskovskayaOblast">
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>Kurskaja oblast'</rdfs:label>
-      <skos:definition>The administrative region of Kurskaja oblast' in the country of Russian Federation (the)</skos:definition>
+      <rdfs:label>Moskovskaya oblast'</rdfs:label>
+      <skos:definition>The administrative region of Moskovskaya oblast' in the country of Russian Federation (the)</skos:definition>
       <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-1;RussianFederation"/>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ru">Kurskaja oblast'</lcc-cr:hasLocalShortName>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ru">Kurskaya oblast'</lcc-cr:hasLocalShortName>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ru">Moskovskaya oblast'</lcc-cr:hasLocalShortName>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ru">Moskovskaja oblast'</lcc-cr:hasLocalShortName>
       <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-ru;AdministrativeRegion"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ru;"/>
    </owl:NamedIndividual>
 
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ru;RU-KRS">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ru;RU-MOS">
       <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the administrative region of Kurskaja oblast' in the country of Russian Federation (the)</skos:definition>
-      <rdfs:label>RU-KRS</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">RU-KRS</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ru;KurskajaOblast"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ru;KurskajaOblast"/>
+      <skos:definition>subdivision code for the administrative region of Moskovskaya oblast' in the country of Russian Federation (the)</skos:definition>
+      <rdfs:label>RU-MOS</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">RU-MOS</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ru;MoskovskayaOblast"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ru;MoskovskayaOblast"/>
       <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ru;"/>
    </owl:NamedIndividual>
@@ -1713,28 +1713,28 @@
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
-    // Moskva
+    // Samarskaya oblast'
     //
     ///////////////////////////////////////////////////////////////////////////////////////
     -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ru;Moskva">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ru;SamarskayaOblast">
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>Moskva</rdfs:label>
-      <skos:definition>The autonomous city of Moskva in the country of Russian Federation (the)</skos:definition>
+      <rdfs:label>Samarskaya oblast'</rdfs:label>
+      <skos:definition>The administrative region of Samarskaya oblast' in the country of Russian Federation (the)</skos:definition>
       <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-1;RussianFederation"/>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ru">Moskva</lcc-cr:hasLocalShortName>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ru">Moskva</lcc-cr:hasLocalShortName>
-      <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-ru;AutonomousCity"/>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ru">Samarskaya oblast'</lcc-cr:hasLocalShortName>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ru">Samarskaja oblast'</lcc-cr:hasLocalShortName>
+      <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-ru;AdministrativeRegion"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ru;"/>
    </owl:NamedIndividual>
 
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ru;RU-MOW">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ru;RU-SAM">
       <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the autonomous city of Moskva in the country of Russian Federation (the)</skos:definition>
-      <rdfs:label>RU-MOW</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">RU-MOW</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ru;Moskva"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ru;Moskva"/>
+      <skos:definition>subdivision code for the administrative region of Samarskaya oblast' in the country of Russian Federation (the)</skos:definition>
+      <rdfs:label>RU-SAM</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">RU-SAM</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ru;SamarskayaOblast"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ru;SamarskayaOblast"/>
       <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ru;"/>
    </owl:NamedIndividual>
@@ -1744,28 +1744,28 @@
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
-    // Rjazanskaja oblast'
+    // Tambovskaya oblast'
     //
     ///////////////////////////////////////////////////////////////////////////////////////
     -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ru;RjazanskajaOblast">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ru;TambovskayaOblast">
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>Rjazanskaja oblast'</rdfs:label>
-      <skos:definition>The administrative region of Rjazanskaja oblast' in the country of Russian Federation (the)</skos:definition>
+      <rdfs:label>Tambovskaya oblast'</rdfs:label>
+      <skos:definition>The administrative region of Tambovskaya oblast' in the country of Russian Federation (the)</skos:definition>
       <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-1;RussianFederation"/>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ru">Rjazanskaja oblast'</lcc-cr:hasLocalShortName>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ru">Ryazanskaya oblast'</lcc-cr:hasLocalShortName>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ru">Tambovskaya oblast'</lcc-cr:hasLocalShortName>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ru">Tambovskaja oblast'</lcc-cr:hasLocalShortName>
       <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-ru;AdministrativeRegion"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ru;"/>
    </owl:NamedIndividual>
 
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ru;RU-RYA">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ru;RU-TAM">
       <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the administrative region of Rjazanskaja oblast' in the country of Russian Federation (the)</skos:definition>
-      <rdfs:label>RU-RYA</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">RU-RYA</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ru;RjazanskajaOblast"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ru;RjazanskajaOblast"/>
+      <skos:definition>subdivision code for the administrative region of Tambovskaya oblast' in the country of Russian Federation (the)</skos:definition>
+      <rdfs:label>RU-TAM</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">RU-TAM</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ru;TambovskayaOblast"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ru;TambovskayaOblast"/>
       <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ru;"/>
    </owl:NamedIndividual>
@@ -1775,28 +1775,28 @@
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
-    // Sahalinskaja oblast'
+    // Jaroslavskaja oblast'
     //
     ///////////////////////////////////////////////////////////////////////////////////////
     -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ru;SahalinskajaOblast">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ru;JaroslavskajaOblast">
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>Sahalinskaja oblast'</rdfs:label>
-      <skos:definition>The administrative region of Sahalinskaja oblast' in the country of Russian Federation (the)</skos:definition>
+      <rdfs:label>Jaroslavskaja oblast'</rdfs:label>
+      <skos:definition>The administrative region of Jaroslavskaja oblast' in the country of Russian Federation (the)</skos:definition>
       <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-1;RussianFederation"/>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ru">Sahalinskaja oblast'</lcc-cr:hasLocalShortName>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ru">Sakhalinskaya oblast'</lcc-cr:hasLocalShortName>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ru">Jaroslavskaja oblast'</lcc-cr:hasLocalShortName>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ru">Yaroslavskaya oblast'</lcc-cr:hasLocalShortName>
       <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-ru;AdministrativeRegion"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ru;"/>
    </owl:NamedIndividual>
 
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ru;RU-SAK">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ru;RU-YAR">
       <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the administrative region of Sahalinskaja oblast' in the country of Russian Federation (the)</skos:definition>
-      <rdfs:label>RU-SAK</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">RU-SAK</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ru;SahalinskajaOblast"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ru;SahalinskajaOblast"/>
+      <skos:definition>subdivision code for the administrative region of Jaroslavskaja oblast' in the country of Russian Federation (the)</skos:definition>
+      <rdfs:label>RU-YAR</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">RU-YAR</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ru;JaroslavskajaOblast"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ru;JaroslavskajaOblast"/>
       <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ru;"/>
    </owl:NamedIndividual>
